Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionGraphicsItem.StyleOptionType

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QStyleOptionGraphicsItem.StyleOptionType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QStyleOptionGraphicsItem

    public static final class QStyleOptionGraphicsItem.StyleOptionType

extends java.lang.Enum
implements QtEnumerator

This enum is used to hold information about the type of the style option, and is defined for each `QStyleOption` subclass. The type is used internally by `QStyleOption`, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own `QStyleOption` subclass and your own styles.

See also:
  `StyleOptionVersion` .

See Also:
  Serialized Form

Field Summary
`static QStyleOptionGraphicsItem.StyleOptionType` | `Type` The type of style option provided (`SO_ViewItem` for this class).

Method Summary
`static QStyleOptionGraphicsItem.StyleOptionType` | `resolve(int value)` Returns the StyleOptionType constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyleOptionGraphicsItem.StyleOptionType` | `valueOf(java.lang.String name)`
`static QStyleOptionGraphicsItem.StyleOptionType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Type

    public static final QStyleOptionGraphicsItem.StyleOptionType Type

  The type of style option provided (`SO_ViewItem` for this class).

Method Detail

### values

    public static QStyleOptionGraphicsItem.StyleOptionType[] values()

### valueOf

    public static QStyleOptionGraphicsItem.StyleOptionType valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyleOptionGraphicsItem.StyleOptionType resolve(int value)

  Returns the StyleOptionType constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD